Bug 1391386 - CVE-2016-7035 pacemaker: Privilege escalation due to improper guarding of IPC communication [fedora-all]
Summary: CVE-2016-7035 pacemaker: Privilege escalation due to improper guarding of IPC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacemaker
Version: 25
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F25FinalFreezeException CVE-2016-7035
TreeView+ depends on / blocked
 
Reported: 2016-11-03 08:45 UTC by Cedric Buissart 🐶
Modified: 2016-11-10 16:38 UTC (History)
8 users (show)

Fixed In Version: pacemaker-1.1.15-2.fc24 pacemaker-1.1.15-2.fc23 pacemaker-1.1.15-3.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 16:38:10 UTC


Attachments (Terms of Use)

Description Cedric Buissart 🐶 2016-11-03 08:45:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Cedric Buissart 🐶 2016-11-03 08:45:43 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1369732,1391386

# Description of your update
notes=Security fix for CVE-2016-7035

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-11-03 16:01:55 UTC
pacemaker-1.1.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a159ef513

Comment 3 Fedora Update System 2016-11-03 16:02:05 UTC
pacemaker-1.1.15-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1cbcc4528

Comment 4 Fedora Update System 2016-11-03 16:02:11 UTC
pacemaker-1.1.15-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-242ff9a2fa

Comment 5 Fedora Update System 2016-11-05 03:34:09 UTC
pacemaker-1.1.15-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-242ff9a2fa

Comment 6 Fedora Update System 2016-11-05 03:51:57 UTC
pacemaker-1.1.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a159ef513

Comment 7 Fedora Update System 2016-11-05 18:58:51 UTC
pacemaker-1.1.15-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1cbcc4528

Comment 8 Fedora Update System 2016-11-06 00:25:41 UTC
pacemaker-1.1.15-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-06 01:53:06 UTC
pacemaker-1.1.15-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a159ef513

Comment 10 Jan Pokorný [poki] 2016-11-08 13:22:30 UTC
I am asking for granting this bug a Fedora 25 final freeze bug exception,
owing to the fact that the new build carries (just) an extra security fix.

Comment 11 Fedora Update System 2016-11-08 22:53:27 UTC
pacemaker-1.1.15-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Adam Williamson 2016-11-08 22:56:29 UTC
in that case you might be better off not marking the f23 and f24 updates as fixing it ;)

I guess I can be +1, but i'm about to do the final rc1 request, so you might wanna find another couple of votes really fast...

Comment 13 Kevin Fenzi 2016-11-08 23:08:41 UTC
+1 FE here.

Comment 14 Nick Bebout 2016-11-08 23:09:57 UTC
+1 FE

Comment 15 Adam Williamson 2016-11-08 23:15:04 UTC
That's +3, setting accepted.

Comment 16 Jan Pokorný [poki] 2016-11-09 09:17:02 UTC
Thanks!  I hadn't a priori planned for this, so just tried to catch
the F25 train one I realized it's about to set off.

Comment 17 Fedora Update System 2016-11-10 16:38:10 UTC
pacemaker-1.1.15-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.